/*
 * HSV2RGB.h
 *
 * Created: 19.11.2016 10:22:16
 *  Author: Thomas
 */ 

#ifndef HSV2RGB_H_
#define HSV2RGB_H_


//#define HSV2RGB_OPTIMIZED_SIZE


typedef struct __attribute__ ((packed, aligned(1))) {
	uint8_t H;
	uint8_t S;
	uint8_t V;
} HSV_t, *pHSV_t;

typedef struct __attribute__ ((packed, aligned(1))) {
	uint8_t Red;
	uint8_t Green;
	uint8_t Blue;
} RGB_t, *pRGB_t;


void HSV2RGB(pHSV_t, pRGB_t);


#endif /* HSV2RGB_H_ */